=== debian/changelog ===
openambit (0.3-1) unstable; urgency=low

  * New upstream release

 -- Christian Perrier <bubulle@debian.org>  Tue, 16 Sep 2014 22:27:30 +0200
