## openambit 0.4

=== debian/changelog ===
openambit (0.4-1) experimental; urgency=low

  * New upstream release
  * Now build against QT5
  * Build movescount library

 -- Christian Perrier <bubulle@debian.org>  Tue, 02 May 2017 19:10:30 +0200
