=== debian/rules ===
--- 
+++ 
@@ -16,6 +16,9 @@
 	mkdir libambit-build
 	cd libambit-build && cmake ../src/libambit -DCMAKE_BUILD_TYPE=Release -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_C_FLAGS="${CMAKE_C_FLAGS} $(CFLAGS)" -DCMAKE_CXX_FLAGS="${CMAKE_CXX_FLAGS} $(CXXFLAGS)"
 	cd libambit-build && $(MAKE) -j$(NUMCPUS)
+	mkdir movescount-build
+	cd movescount-build && cmake ../src/movescount -DCMAKE_BUILD_TYPE=Release -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_C_FLAGS="${CMAKE_C_FLAGS} $(CFLAGS)" -DCMAKE_CXX_FLAGS="${CMAKE_CXX_FLAGS} $(CXXFLAGS)"
+	cd movescount-build && $(MAKE) -j$(NUMCPUS)
 	mkdir openambit-build
 	cd openambit-build && cmake ../src/openambit -DCMAKE_BUILD_TYPE=Release -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_C_FLAGS="${CMAKE_C_FLAGS} $(CFLAGS)" -DCMAKE_CXX_FLAGS="${CMAKE_CXX_FLAGS} $(CXXFLAGS)"
 	cd openambit-build && $(MAKE) -j$(NUMCPUS)
@@ -23,6 +26,7 @@
 INSTDIR=../debian/tmp/
 override_dh_install:
 	cd libambit-build && $(MAKE) install DESTDIR=$(INSTDIR)
+	cd movescount-build && $(MAKE) install DESTDIR=$(INSTDIR)
 	cd openambit-build && $(MAKE) install DESTDIR=$(INSTDIR)
 	pwd
 	ls -lR
